Package org.eclipse.m2m.atl.emftvm.ant

## Class InOutModelSet

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.AbstractFileSet
      - - org.apache.tools.ant.types.FileSet
        - - org.eclipse.m2m.atl.emftvm.ant.ModelElementSet
          - - org.eclipse.m2m.atl.emftvm.ant.InOutModelSet

All Implemented Interfaces:
  `java.lang.Cloneable`, `java.lang.Iterable<org.apache.tools.ant.types.Resource>`, `org.apache.tools.ant.types.ResourceCollection`, `org.apache.tools.ant.types.selectors.SelectorContainer`

    public class InOutModelSet
    extends ModelElementSet

Nested Ant input/output model element set.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`InOutModelSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `getEffectiveOutputDir()` Returns the effective output directory (could be same as `AbstractFileSet.getDir()`.
`java.io.File` `getOutputDir()` Returns the output directory.
`java.lang.String` `getSuffix()` Returns the model filename suffix.
`void` `setOutputDir​(java.io.File outputDir)` Sets the output directory.
`void` `setSuffix​(java.lang.String suffix)` Sets the model filename suffix.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.ModelElementSet

`getAs, getName, isAllowInterModelReferences, setAllowInterModelReferences, setAs, setName`

### Methods inherited from class org.apache.tools.ant.types.FileSet

`clone, getRef, isFilesystemOnly, iterator, size`

### Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, dieOnCircularReference, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setRefid, setupDirectoryScanner, setupDirectoryScanner, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

### Constructor Detail

#### InOutModelSet

    public InOutModelSet()

### Method Detail

#### setSuffix

    public void setSuffix​(java.lang.String suffix)

Sets the model filename suffix.

Parameters:
  `suffix` - the suffix to set

#### getSuffix

    public java.lang.String getSuffix()

Returns the model filename suffix.

Returns:
  the suffix

#### getOutputDir

    public java.io.File getOutputDir()

Returns the output directory.

Returns:
  the outputDir

#### setOutputDir

    public void setOutputDir​(java.io.File outputDir)

Sets the output directory.

Parameters:
  `outputDir` - the outputDir to set

#### getEffectiveOutputDir

    public java.io.File getEffectiveOutputDir()

Returns the effective output directory (could be same as `AbstractFileSet.getDir()`.

Returns:
  the outputDir